spack:
  include:
    - compiler_definitions.yaml

  definitions:
    - serial_codes_per_cluster:
        - python
        - hdf5 ~mpi

    - mpi_codes:
        - osu-micro-benchmarks
        - hdf5 +mpi

    - when: env['environment'] in ['helvetios', 'jed']
      mpis:
        - openmpi
    - when: env['environment'] in ['izar']
      mpis:
        - openmpi +cuda

    - all_serial_codes:
        - $serial_codes_per_cluster
        - $mpis

  specs:
  - matrix:
    - [$compilers_specs]
    - [$%core_compiler]
  - matrix:
    - [$all_serial_codes]
    - [$%compilers]
  - matrix:
    - [$mpi_codes]
    - [$^mpis]
    - [$%compilers]

  concretizer:
    unify: when_possible
    duplicates:
      strategy: minimal

  view: false
#    default:
#      root: /stack/packages/
